#
# spec file for package gsound
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Bjørn Lie, Bryne, Norway.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname lib%{name}0
Name:           gsound
Version:        1.0.2
Release:        1.2
Summary:        A small library for playing system sounds
License:        LGPL-2.1
Group:          System/Libraries
Url:            https://wiki.gnome.org/Projects/GSound
Source:         http://download.gnome.org/sources/gsound/1.0/gsound-%{version}.tar.xz
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(vapigen)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GSound is a small library for playing system sounds.
It's designed to be used via GObject Introspection,
and is a thin wrapper around the libcanberra C library.

%package -n %{soname}
Summary:        Shared library for gsound
Group:          System/Libraries

%description -n %{soname}
GSound is a small library for playing system sounds.
It's designed to be used via GObject Introspection,
and is a thin wrapper around the libcanberra C library.

This package provides the shared library for gsound.

%package -n typelib-1_0-GSound-1_0
Summary:        Gobject introspection files for gsound
Group:          System/Libraries

%description -n typelib-1_0-GSound-1_0
GSound is a small library for playing system sounds.
It's designed to be used via GObject Introspection,
and is a thin wrapper around the libcanberra C library.

%package devel
Summary:        Development files for gsound
Group:          Development/Libraries/C and C++
Requires:       %{soname} = %{version}
Requires:       typelib-1_0-GSound-1_0 = %{version}

%description devel
GSound is a small library for playing system sounds.
It's designed to be used via GObject Introspection,
and is a thin wrapper around the libcanberra C library.

This package provides files needed for developing
applications with gsound.

%prep
%setup -q

%build
%configure --disable-static --enable-vala
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

# REMOVE libtool archive
rm %{buildroot}%{_libdir}/libgsound.la

%post -n %{soname} -p /sbin/ldconfig

%postun -n %{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/gsound-play

%files -n %{soname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libgsound.so.*

%files devel
%defattr(-,root,root)
%{_datadir}/gir-1.0/GSound-1.0.gir
%{_datadir}/gtk-doc/html/gsound/
%{_datadir}/vala/vapi/gsound.deps
%{_datadir}/vala/vapi/gsound.vapi
%{_includedir}/gsound.h
%{_includedir}/gsound-attr.h
%{_includedir}/gsound-context.h
%{_libdir}/libgsound.so
%{_libdir}/pkgconfig/gsound.pc

%files -n typelib-1_0-GSound-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GSound-1.0.typelib

%changelog
* Mon Nov  2 2015 zaitor@opensuse.org
- Update to version 1.0.2:
  + build:
  - Fix ChangeLog generation.
  - Use (much) more strict warning flags.
  - Fix configure.ac slightly.
  - Don't use deprecated gnome-autogen.sh.
  - Remove unnecessary Vala dependency on libcanberra.
  + admin: Fix typos in README.md.
  + docs: document the object struct.
* Fri Nov 28 2014 zaitor@opensuse.org
- Initial packaging.
